/*
 * Resources.h
 *
 *  Created on: 05.03.2014
 *      Author: wn
 */

#ifndef RESOURCES_H_
#define RESOURCES_H_


#include <Arduino.h>


const uint8_t TEXT1_KEY = 0;
const uint8_t PERIOD_MEASURE_KEY = 1;
const uint8_t ALPHA_SPACES_KEY = 2;
const uint8_t CALIBRATION_SPACES_KEY = 3;
const uint8_t INFO_SPACES_KEY = 4;
const uint8_t DEBUG_SPACES_KEY = 5;
const uint8_t COMPILE_TIME_DEBUG_KEY = 6;
const uint8_t TIMEOUTS_SPACES_KEY = 7;
const uint8_t CYCLES_SPACES_KEY = 8;
const uint8_t PERIOD_SPACES_KEY = 9;
const uint8_t ALPHA_2_SPACES_KEY = 10;
const uint8_t INDEX_KEY = 11;
const uint8_t CAL_KEY = 12;
const uint8_t T_KEY = 13;
const uint8_t TS_KEY = 14;
const uint8_t COMMA_SPACE_KEY = 15;
const uint8_t CALI_HELP_1_KEY = 16;
const uint8_t CALI_HELP_2_KEY = 17;
const uint8_t CALI_HELP_3_KEY = 18;
const uint8_t CALI_HELP_4_KEY = 19;
const uint8_t CALI_HELP_5_KEY = 20;
const uint8_t CALI_HELP_6_KEY = 21;
const uint8_t CALI_SHOW_1_KEY = 22;
const uint8_t CALI_SHOW_2_KEY = 23;
const uint8_t SET_TEMPERATURE_DEBUG_1_KEY = 24;
const uint8_t SET_TEMPERATURE_DEBUG_2_KEY = 25;
const uint8_t SET_TEMPERATURE_DEBUG_3_KEY = 26;
const uint8_t CONF_COLON_KEY = 27;
const uint8_t MODE_COLON_KEY = 28;
const uint8_t THERMOMETER_BEGIN_1_KEY = 29;
const uint8_t STATE_0_KEY = 30;
const uint8_t TO_STATE_1_KEY = 31;
const uint8_t TO_STATE_10_KEY = 32;
const uint8_t STATE_9_KEY = 33;
const uint8_t STATE_9_DEBUG_1 = 34;
const uint8_t STATE_10_KEY = 35;
const uint8_t CALIBRATION_MODE_HINT_KEY = 36;
const uint8_t TO_STATE_11_KEY = 37;
const uint8_t STATE_20_MSG_1_KEY = 38;
const uint8_t STATE_20_MSG_2_KEY = 39;
const uint8_t STATE_20_MSG_3_KEY = 40;
const uint8_t STATE_20_MSG_4_KEY = 41;
const uint8_t COLON_SPACE_KEY = 42;
const uint8_t CMDSERVER_HELP_KEY = 43;
const uint8_t CMDSERVER_CMD_NOT_FOUND_KEY = 44;
const uint8_t THERMCONFIG_HELP_KEY = 45;
const uint8_t THERMVALUES_HELP_KEY = 46;
const uint8_t THERMCALIBRATE_HELP_KEY = 47;
const uint8_t CALIBRATION_ZEOR_MODE_HINT_KEY = 48;
const uint8_t MBC_CONFIG_HELP_KEY = 49;




const String& getResource(uint8_t key);



#endif /* RESOURCES_H_ */
